summaryrefslogtreecommitdiff
path: root/packaging/custom-find-requires
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/custom-find-requires')
-rwxr-xr-xpackaging/custom-find-requires12
1 files changed, 12 insertions, 0 deletions
diff --git a/packaging/custom-find-requires b/packaging/custom-find-requires
new file mode 100755
index 00000000..ebd22cbc
--- /dev/null
+++ b/packaging/custom-find-requires
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [ -z "$RPM_BUILD_ROOT" ] ; then
+ echo "The $0 script is not intended to be executed directly." > /dev/stderr
+ exit 1
+fi
+
+# this grep will consume whole list of files from stdin
+if grep -qF /Xamarin.Forms.Platform.Tizen.dll ; then
+ # if it's a X.F.P.Tizen package, then find the version of elm-sharp (or elm-sharp-nuget) in use
+ rpm -qa --queryformat 'elm-sharp >= %{VERSION}\n' 'elm-sharp*' | head -n1
+fi